package fr.shortcircuit.tp6.business;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import org.apache.commons.collections.Predicate;

import fr.shortcircuit.tp6.dao.ProductDAO;
import fr.shortcircuit.tp6.model.Product;

public class ProductBO
{
	private ProductDAO productDAO;
	

	public ProductBO()
	{
		
	}

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Services access
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	public Product getProduct(Predicate predicate)												{return productDAO.getProduct(predicate);}
	public List<Product> getAllProduct(Comparator beanComparator)								{return productDAO.getAllProduct(beanComparator);}
	public List<Product> getAllProduct(Comparator beanComparator, int rowIndex, int rowCount)	{return productDAO.getAllProduct(beanComparator, rowIndex, rowCount);}

	/////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Getters & setters
	/////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	public ProductDAO getProductDAO()					{return productDAO;}

	public void setProductDAO(ProductDAO productDAO)	{this.productDAO = productDAO;}
	
	/* public int calculateBonus()
	{
		return Integer.parseInt(price) * coefBonus;	
	} */

}
