package fr.shortcircuit.tp6.web.util;

import java.util.Locale;
import java.util.ResourceBundle;

public class KeyRepository
{
	private ResourceBundle 					resourceBundle;

	public KeyRepository()
	{
		init();
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Init local config
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	
	public void init()
	{	
		createResourceBundle();
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Resource
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	public void createResourceBundle()
	{
		System.out.println("KeyRepository: createResourceBundle: enter !");

		resourceBundle			= ResourceBundle.getBundle("message", Locale.FRENCH, Thread.currentThread().getContextClassLoader());
	}

	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//Getters & Setters
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	public ResourceBundle getResourceBundle()						{return resourceBundle;}

	public void setResourceBundle(ResourceBundle resourceBundle)	{this.resourceBundle 		= resourceBundle;}

}
